/*
   GPIO pinButton token definitions for the ESP32 CYD Calculator

   Concept, design and implementation by: Craig A. Lindley
   Last Update: 01/08/2025
*/

#ifndef TOKENS_H
#define TOKENS_H

// Button tokens
enum BTOKEN {
  T_NONE,
  T_SR,
  T_10X,
  T_YX,
  T_CHS,
  T_7,
  T_8,
  T_9,
  T_DIV,
  T_SIN,
  T_COS,
  T_TAN,
  T_EEX,
  T_4,
  T_5,
  T_6,
  T_MULT,
  T_DTOR,
  T_RTOD,
  T_FIX,
  T_SWP,
  T_1,
  T_2,
  T_3,
  T_MINUS,
  T_MMTOI,
  T_ITOMM,
  T_CLR,
  T_ENT,
  T_0,
  T_DOT,
  T_BS,
  T_PLUS
};

#endif
